Does Vivaldi depend on any version of GTK or QT or another toolkit?



  • Forgive me if my google-fu has failed me. I cannot find a reference to any toolkit dependencies. The only thing I HAVE been able to find is [url=https://aur.archlinux.org/packages/vivaldi]Arch's AUR page[/url] which lists GTK2. Is that accurate? Would it be possible to install Vivaldi on a system that doesn't include GTK?



  • File -> Save As brings up a GTK save as dialog, so it must depend on GTK.



  • Clever way to solve that! Thanks!



  • You can check the dependencies of the binary with ldd.
    It depends on Gtk
    $ldd /opt/vivaldi/vivaldi-bin | grep gtk
    libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x00007f4d2a38c000)



  • @tsg1zzn:

    File -> Save As brings up a GTK save as dialog, so it must depend on GTK.

    Actually it doesn't necessarily bring up a GTK dialog.
    At least not on my KDE based distro. I get the same save dialog as in every Qt based KDE application ;)


Log in to reply
 

Looks like your connection to Vivaldi Forum was lost, please wait while we try to reconnect.